<?xml version="1.0" encoding="UTF-8"?>
<swap>
    <swapEnable>True</swapEnable>
    <swapOutEnable>True</swapOutEnable>
    <swapMinRamSize>6</swapMinRamSize>
    <swapMinRomSize>128</swapMinRomSize>
    <mmMonitor>
        <enable>True</enable>
        <uploadEnable>True</uploadEnable>
        <uploadTime>02:00</uploadTime>
        <uploadCycle>86400</uploadCycle>
        <table name="psi_health_info" path="/dev/memcg/memory.psi_health_info" readEnable="True" readCycle="1800" format="0" eventEnable="True">
            <event type="app_start" param="com.huawei.camera"></event>
            <event type="app_exit" param="com.huawei.camera"></event>
        </table>
        <table name="report_app_info" path="/dev/memcg/memory.report_app_info" readEnable="True" readCycle="3600" format="1" eventEnable="False"></table>
        <table name="reclaimacct" path="/proc/reclaimacct" readEnable="True" readCycle="1800" format="2" eventEnable="True">
            <event type="app_start" param="com.huawei.camera"></event>
            <event type="app_exit" param="com.huawei.camera"></event>
        </table>
    </mmMonitor>
    <storage size="128">
        <module name="storageParam">
            <param key="dailySwapOutQuotaMax">99</param>
            <param key="swapOriginalAmount">20</param>
            <param key="swapDeclineRatio">10</param>
            <param key="swapFinalLimit">20</param>
            <param key="swapControlDays">7</param>
            <param key="swapRedDeclineRatio">5</param>
            <param key="lifeTimeEstTypA">5</param>
            <param key="lifeTimeEstTypB">5</param>
            <param key="lifeTimePreEolInfo">2</param>
            <param key="wbLifeTimeEstTypA">5</param>
            <param key="wbLifeTimeEstTypB">5</param>
            <param key="wbLifeTimePreEolInfo">2</param>
        </module>
    </storage>
    <storage size="256">
        <module name="storageParam">
            <param key="dailySwapOutQuotaMax">99</param>
            <param key="swapOriginalAmount">70</param>
            <param key="swapDeclineRatio">20</param>
            <param key="swapFinalLimit">20</param>
            <param key="swapControlDays">7</param>
            <param key="swapRedDeclineRatio">5</param>
            <param key="lifeTimeEstTypA">8</param>
            <param key="lifeTimeEstTypB">8</param>
            <param key="lifeTimePreEolInfo">2</param>
            <param key="wbLifeTimeEstTypA">6</param>
            <param key="wbLifeTimeEstTypB">6</param>
            <param key="wbLifeTimePreEolInfo">2</param>
        </module>
    </storage>
    <storage size="512">
        <module name="storageParam">
            <param key="dailySwapOutQuotaMax">99</param>
            <param key="swapOriginalAmount">90</param>
            <param key="swapDeclineRatio">20</param>
            <param key="swapFinalLimit">20</param>
            <param key="swapControlDays">7</param>
            <param key="swapRedDeclineRatio">5</param>
            <param key="lifeTimeEstTypA">8</param>
            <param key="lifeTimeEstTypB">8</param>
            <param key="lifeTimePreEolInfo">2</param>
            <param key="wbLifeTimeEstTypA">6</param>
            <param key="wbLifeTimeEstTypB">6</param>
            <param key="wbLifeTimePreEolInfo">2</param>
        </module>
    </storage>
    <memory size="12">
        <swapInOut>
            <module name="psi">
                <param key="psiOpen">false</param>
                <param key="psiDelay">100</param>
            </module>
            <module name="psiEvent">
                <param key="threshold">70</param>
                <param key="window">1000</param>
            </module>
            <module name="rootMemcg">
                <param key="rootSoftLimit">-1</param>
                <param key="rootAppScore">300</param>
                <param key="rootReclaimRatio">40</param>
                <param key="rootSwapRatio">60</param>
                <param key="rootReclaimRefault">0</param>
            </module>
            <module name="kill">
                <param key="killThreshold">1050</param>
                <param key="killLimit">3</param>
                <param key="killParamRef">buffer_size</param>
                <param key="appThreshold">3</param>
                <param key="bigKillMem">1400</param>
                <param key="appReqKillThreshold">200</param>
                <param key="appReqKillMemMax">1000</param>
                <param key="calcGpuMemRectify">0</param>
            </module>
            <module name="killOpt">
                <param key="levelTwo">1050</param>
                <param key="levelThree">1050</param>
                <param key="bufferScreenOffChange">0</param>
                <param key="screenOffQuickBuffer">800</param>
                <param key="gradingKillEnable">1</param>
                <param key="levelHigh">1050</param>
                <param key="levelLow">800</param>
                <param key="levelMin">600</param>
            </module>
            <module name="bufferSize">
                <param key="defaultSize">1500</param>
                <param key="lowSize">1450</param>
                <param key="upperSize">1530</param>
                <param key="highSize">1550</param>
                <param key="swapReserve">0</param>
                <param key="minBuffer">1100</param>
                <param key="maxBuffer">1500</param>
                <param key="appStartDelay">1</param>
                <param key="reclaimDelay">2</param>
                <param key="reclaimFailWindow">5</param>
                <param key="reclaimFailCount">2</param>
                <param key="raiseBufferTimeWidth">10</param>
                <param key="raiseBufferMax">1500</param>
                <param key="raiseBufferStep">10</param>
            </module>
            <module name="frontRatio">
                <param key="reclaimRatio">0</param>
                <param key="swapRatio">0</param>
                <param key="reclaimRefault">50</param>
            </module>
            <module name="activeRatio">
                <param key="reclaimRatio">60</param>
                <param key="swapRatio">50</param>
                <param key="reclaimRefault">50</param>
            </module>
            <module name="freezeRatio">
                <param key="reclaimRatio">90</param>
                <param key="swapRatio">90</param>
                <param key="reclaimRefault">100</param>
            </module>
            <module name="ak">
                <param key="akEnable">false</param>
                <param key="akEnableDebug">false</param>
                <param key="akEnableDebugTime">false</param>
                <param key="akAppTypePrioSize">3</param>
                <param key="akAppTypePrioTime">300</param>
            </module>
            <module name="others">
                <param key="logEnable">false</param>
                <param key="scorePolicyEnable">false</param>
                <param key="dailySwapOutQuotaMax">99</param>
                <param key="zramCriticalThres">10240</param>
                <param key="zramWmRatio">37</param>
                <param key="kswapdBindCpuSet">false</param>
                <param key="kswapdMinCpuCore">1</param>
                <param key="kswapdMaxCpuCore">6</param>
                <param key="HighLoadEnable">true</param>
                <param key="highLoadThreshold">1000</param>
            </module>
        </swapInOut>
        <whiteList>
            <module name="app">
                <param key="pkg">com.huawei.camera</param>
                <param key="killThreshold">1600</param>
            </module>
        </whiteList>
        <actList>
            <module name="scoreRatio">
                <param key="score">200</param>
                <param key="activeReclaimRatio">20</param>
                <param key="activeSwapRatio">0</param>
                <param key="activeReclaimRefault">100</param>
            </module>
            <module name="activeapplist">
                <param key="pkgname0">com.android.phone</param>
                <param key="pkgname1">com.huawei.android.launcher</param>
                <param key="pkgname2">com.huawei.systemserver</param>
                <param key="pkgname3">com.android.systemui</param>
                <param key="pkgname4">com.huawei.systemmanager</param>
                <param key="pkgname5">system_server</param>
                <param key="pkgname6">com.baidu.input_huawei</param>
            </module>
        </actList>
        <freezeRatio>
            <module name="ratioGroup">
                <param key="minRam">300</param>
                <param key="maxRam">500</param>
                <param key="swapRatio">90</param>
                <param key="reclaimRatio">90</param>
                <param key="reclaimRefault">100</param>
            </module>
        </freezeRatio>
        <freezeRatio>
            <module name="ratioGroup">
                <param key="minRam">500</param>
                <param key="maxRam">2147483647</param>
                <param key="swapRatio">60</param>
                <param key="reclaimRatio">50</param>
                <param key="reclaimRefault">100</param>
            </module>
        </freezeRatio>
        <specialGroup name="specialGroup1">
            <module name="specialParam">
                <param key="frontSwapRatio">0</param>
                <param key="activeSwapRatio">0</param>
                <param key="freezeSwapRatio">20</param>
            </module>
            <module name="applist">
                <param key="pkgname0">com.tencent.mm</param>
            </module>
        </specialGroup>
        <frequentUseSwapRatioList>
            <module name="frequentUseRatio">
                <param key="frontSwapRatio">0</param>
                <param key="activeSwapRatio">0</param>
                <param key="freezeSwapRatio">20</param>
                <param key="freqUseThres">20</param>
            </module>
        </frequentUseSwapRatioList>
        <backgroundActiveSwapRatioList>
            <module name="backgroundActive">
                <param key="frontSwapRatio">0</param>
                <param key="activeSwapRatio">0</param>
                <param key="freezeSwapRatio">20</param>
                <param key="bgActiveThres">25</param>
            </module>
        </backgroundActiveSwapRatioList>
        <SwapThreshold>
            <module name="swapOutThreshold">
                <param key="singleAppThres">100</param>
                <param key="allThres">1000</param>
            </module>
        </SwapThreshold>
    </memory>
    <memory size="8">
        <swapInOut>
            <module name="psi">
                <param key="psiOpen">false</param>
                <param key="psiDelay">100</param>
            </module>
            <module name="psiEvent">
                <param key="threshold">70</param>
                <param key="window">1000</param>
            </module>
            <module name="rootMemcg">
                <param key="rootSoftLimit">-1</param>
                <param key="rootAppScore">300</param>
                <param key="rootReclaimRatio">40</param>
                <param key="rootSwapRatio">60</param>
                <param key="rootReclaimRefault">0</param>
            </module>
            <module name="kill">
                <param key="killThreshold">1050</param>
                <param key="killLimit">3</param>
                <param key="killParamRef">buffer_size</param>
                <param key="appThreshold">3</param>
                <param key="bigKillMem">1400</param>
                <param key="appReqKillThreshold">200</param>
                <param key="appReqKillMemMax">1000</param>
                <param key="calcGpuMemRectify">0</param>
            </module>
            <module name="killOpt">
                <param key="levelTwo">1050</param>
                <param key="levelThree">1050</param>
                <param key="bufferScreenOffChange">0</param>
                <param key="screenOffQuickBuffer">800</param>
                <param key="gradingKillEnable">1</param>
                <param key="levelHigh">1050</param>
                <param key="levelLow">800</param>
                <param key="levelMin">600</param>
            </module>
            <module name="bufferSize">
                <param key="defaultSize">1500</param>
                <param key="lowSize">1450</param>
                <param key="upperSize">1530</param>
                <param key="highSize">1550</param>
                <param key="swapReserve">0</param>
                <param key="minBuffer">1100</param>
                <param key="maxBuffer">1500</param>
                <param key="appStartDelay">1</param>
                <param key="reclaimDelay">2</param>
                <param key="reclaimFailWindow">5</param>
                <param key="reclaimFailCount">2</param>
                <param key="raiseBufferTimeWidth">10</param>
                <param key="raiseBufferMax">1500</param>
                <param key="raiseBufferStep">10</param>
            </module>
            <module name="frontRatio">
                <param key="reclaimRatio">0</param>
                <param key="swapRatio">0</param>
                <param key="reclaimRefault">50</param>
            </module>
            <module name="activeRatio">
                <param key="reclaimRatio">60</param>
                <param key="swapRatio">50</param>
                <param key="reclaimRefault">50</param>
            </module>
            <module name="freezeRatio">
                <param key="reclaimRatio">90</param>
                <param key="swapRatio">90</param>
                <param key="reclaimRefault">100</param>
            </module>
            <module name="ak">
                <param key="akEnable">false</param>
                <param key="akEnableDebug">false</param>
                <param key="akEnableDebugTime">false</param>
                <param key="akAppTypePrioSize">3</param>
                <param key="akAppTypePrioTime">300</param>
            </module>
            <module name="others">
                <param key="logEnable">false</param>
                <param key="scorePolicyEnable">false</param>
                <param key="dailySwapOutQuotaMax">99</param>
                <param key="zramCriticalThres">10240</param>
                <param key="zramWmRatio">37</param>
                <param key="kswapdBindCpuSet">false</param>
                <param key="kswapdMinCpuCore">1</param>
                <param key="kswapdMaxCpuCore">6</param>
                <param key="HighLoadEnable">true</param>
                <param key="highLoadThreshold">1000</param>
            </module>
        </swapInOut>
        <whiteList>
            <module name="app">
                <param key="pkg">com.huawei.camera</param>
                <param key="killThreshold">1600</param>
                <param key="minKillSize">200</param>
                <param key="noKillBuffer">2000</param>
            </module>
        </whiteList>
        <actList>
            <module name="scoreRatio">
                <param key="score">200</param>
                <param key="activeReclaimRatio">20</param>
                <param key="activeSwapRatio">0</param>
                <param key="activeReclaimRefault">100</param>
            </module>
            <module name="activeapplist">
                <param key="pkgname0">com.android.phone</param>
                <param key="pkgname1">com.huawei.android.launcher</param>
                <param key="pkgname2">com.huawei.systemserver</param>
                <param key="pkgname3">com.android.systemui</param>
                <param key="pkgname4">com.huawei.systemmanager</param>
                <param key="pkgname5">system_server</param>
                <param key="pkgname6">com.baidu.input_huawei</param>
            </module>
        </actList>
        <freezeRatio>
            <module name="ratioGroup">
                <param key="minRam">300</param>
                <param key="maxRam">500</param>
                <param key="swapRatio">90</param>
                <param key="reclaimRatio">90</param>
                <param key="reclaimRefault">100</param>
            </module>
        </freezeRatio>
        <freezeRatio>
            <module name="ratioGroup">
                <param key="minRam">500</param>
                <param key="maxRam">2147483647</param>
                <param key="swapRatio">60</param>
                <param key="reclaimRatio">50</param>
                <param key="reclaimRefault">100</param>
            </module>
        </freezeRatio>
        <specialGroup name="specialGroup1">
            <module name="specialParam">
                <param key="frontSwapRatio">0</param>
                <param key="activeSwapRatio">0</param>
                <param key="freezeSwapRatio">20</param>
            </module>
            <module name="applist">
                <param key="pkgname0">com.tencent.mm</param>
            </module>
        </specialGroup>
        <frequentUseSwapRatioList>
            <module name="frequentUseRatio">
                <param key="frontSwapRatio">0</param>
                <param key="activeSwapRatio">0</param>
                <param key="freezeSwapRatio">20</param>
                <param key="freqUseThres">20</param>
            </module>
        </frequentUseSwapRatioList>
        <backgroundActiveSwapRatioList>
            <module name="backgroundActive">
                <param key="frontSwapRatio">0</param>
                <param key="activeSwapRatio">0</param>
                <param key="freezeSwapRatio">20</param>
                <param key="bgActiveThres">25</param>
            </module>
        </backgroundActiveSwapRatioList>
        <SwapThreshold>
            <module name="swapOutThreshold">
                <param key="singleAppThres">100</param>
                <param key="allThres">1000</param>
            </module>
        </SwapThreshold>
    </memory>
    <memory size="6">
        <swapInOut>
            <module name="psi">
                <param key="psiOpen">false</param>
                <param key="psiDelay">100</param>
            </module>
            <module name="psiEvent">
                <param key="threshold">70</param>
                <param key="window">1000</param>
            </module>
            <module name="rootMemcg">
                <param key="rootSoftLimit">-1</param>
                <param key="rootAppScore">300</param>
                <param key="rootReclaimRatio">40</param>
                <param key="rootSwapRatio">0</param>
                <param key="rootReclaimRefault">0</param>
            </module>
            <module name="kill">
                <param key="killThreshold">450</param>
                <param key="killLimit">-1</param>
                <param key="killParamRef">buffer_size</param>
                <param key="appThreshold">5</param>
                <param key="bigKillMem">900</param>
                <param key="appReqKillThreshold">500</param>
                <param key="appReqKillMemMax">2500</param>
            </module>
            <module name="killOpt">
                <param key="levelTwo">450</param>
                <param key="levelThree">450</param>
                <param key="bufferScreenOffChange">0</param>
                <param key="screenOffQuickBuffer">1100</param>
            </module>
            <module name="bufferSize">
                <param key="defaultSize">1000</param>
                <param key="lowSize">950</param>
                <param key="upperSize">1030</param>
                <param key="highSize">1050</param>
                <param key="swapReserve">200</param>
                <param key="minBuffer">600</param>
                <param key="maxBuffer">1000</param>
                <param key="appStartDelay">1</param>
                <param key="reclaimDelay">2</param>
                <param key="reclaimFailWindow">5</param>
                <param key="reclaimFailCount">2</param>
                <param key="raiseBufferTimeWidth">10</param>
                <param key="raiseBufferMax">1000</param>
                <param key="raiseBufferStep">10</param>
            </module>
            <module name="frontRatio">
                <param key="reclaimRatio">0</param>
                <param key="swapRatio">0</param>
                <param key="reclaimRefault">50</param>
            </module>
            <module name="activeRatio">
                <param key="reclaimRatio">60</param>
                <param key="swapRatio">0</param>
                <param key="reclaimRefault">50</param>
            </module>
            <module name="freezeRatio">
                <param key="reclaimRatio">100</param>
                <param key="swapRatio">100</param>
                <param key="reclaimRefault">100</param>
            </module>
            <module name="ak">
                <param key="akEnable">false</param>
                <param key="akEnableDebug">false</param>
                <param key="akEnableDebugTime">false</param>
                <param key="akAppTypePrioSize">3</param>
                <param key="akAppTypePrioTime">300</param>
            </module>
            <module name="others">
                <param key="logEnable">false</param>
                <param key="scorePolicyEnable">false</param>
                <param key="dailySwapOutQuotaMax">99</param>
                <param key="zramCriticalThres">2048</param>
                <param key="zramWmRatio">25</param>
                <param key="processLimit">128</param>
                <param key="hyperholdCacheLevel">0</param>
            </module>
        </swapInOut>
        <whiteList>
            <module name="app">
                <param key="pkg">com.huawei.camera</param>
                <param key="killThreshold">1100</param>
            </module>
            <module name="app">
                <param key="pkg">com.meitu.myxj.selfie.merge.activity.SelfieCameraActivity</param>
                <param key="killThreshold">900</param>
                <param key="activity">True</param>
            </module>
            <module name="app">
                <param key="pkg">com.tencent.mm.plugin.scanner.ui.BaseScanUI</param>
                <param key="killThreshold">800</param>
                <param key="activity">True</param>
            </module>
            <module name="app">
                <param key="pkg">com.tencent.mm.plugin.mmsight.ui.SightCaptureUI</param>
                <param key="killThreshold">800</param>
                <param key="activity">True</param>
            </module>
        </whiteList>
        <actList>
            <module name="scoreRatio">
                <param key="score">200</param>
                <param key="activeReclaimRatio">20</param>
                <param key="activeSwapRatio">0</param>
                <param key="activeReclaimRefault">100</param>
            </module>
            <module name="activeapplist">
                <param key="pkgname0">com.android.phone</param>
                <param key="pkgname1">com.huawei.android.launcher</param>
                <param key="pkgname2">com.huawei.systemserver</param>
                <param key="pkgname3">com.android.systemui</param>
                <param key="pkgname4">com.huawei.systemmanager</param>
                <param key="pkgname5">system_server</param>
                <param key="pkgname6">com.baidu.input_huawei</param>
            </module>
        </actList>
        <freezeRatio>
            <module name="ratioGroup">
                <param key="minRam">300</param>
                <param key="maxRam">500</param>
                <param key="swapRatio">80</param>
                <param key="reclaimRatio">80</param>
                <param key="reclaimRefault">100</param>
            </module>
        </freezeRatio>
        <freezeRatio>
            <module name="ratioGroup">
                <param key="minRam">500</param>
                <param key="maxRam">1000</param>
                <param key="swapRatio">70</param>
                <param key="reclaimRatio">70</param>
                <param key="reclaimRefault">100</param>
            </module>
        </freezeRatio>
        <freezeRatio>
            <module name="ratioGroup">
                <param key="minRam">1000</param>
                <param key="maxRam">2147483647</param>
                <param key="swapRatio">50</param>
                <param key="reclaimRatio">50</param>
                <param key="reclaimRefault">100</param>
            </module>
        </freezeRatio>
        <specialGroup name="specialGroup1">
            <module name="specialParam">
                <param key="frontSwapRatio">0</param>
                <param key="activeSwapRatio">0</param>
                <param key="freezeSwapRatio">20</param>
            </module>
            <module name="applist">
                <param key="pkgname0">com.tencent.mm</param>
            </module>
        </specialGroup>
        <frequentUseSwapRatioList>
            <module name="frequentUseRatio">
                <param key="frontSwapRatio">0</param>
                <param key="activeSwapRatio">0</param>
                <param key="freezeSwapRatio">20</param>
                <param key="freqUseThres">20</param>
            </module>
        </frequentUseSwapRatioList>
        <backgroundActiveSwapRatioList>
            <module name="backgroundActive">
                <param key="frontSwapRatio">0</param>
                <param key="activeSwapRatio">0</param>
                <param key="freezeSwapRatio">20</param>
                <param key="bgActiveThres">25</param>
            </module>
        </backgroundActiveSwapRatioList>
        <SwapThreshold>
            <module name="swapOutThreshold">
                <param key="singleAppThres">100</param>
                <param key="allThres">1000</param>
            </module>
        </SwapThreshold>
    </memory>
    <memory size="4">
        <swapInOut>
            <module name="psi">
                <param key="psiOpen">false</param>
                <param key="psiDelay">100</param>
            </module>
            <module name="psiEvent">
                <param key="threshold">70</param>
                <param key="window">1000</param>
            </module>
            <module name="rootMemcg">
                <param key="rootSoftLimit">-1</param>
                <param key="rootAppScore">300</param>
                <param key="rootReclaimRatio">40</param>
                <param key="rootSwapRatio">0</param>
                <param key="rootReclaimRefault">0</param>
            </module>
            <module name="kill">
                <param key="killThreshold">400</param>
                <param key="killLimit">-1</param>
                <param key="killParamRef">buffer_size</param>
                <param key="appThreshold">5</param>
                <param key="bigKillMem">400</param>
                <param key="appReqKillThreshold">400</param>
                <param key="appReqKillMemMax">2000</param>
            </module>
            <module name="killOpt">
                <param key="levelTwo">400</param>
                <param key="levelThree">400</param>
                <param key="bufferScreenOffChange">0</param>
                <param key="screenOffQuickBuffer">400</param>
            </module>
            <module name="bufferSize">
                <param key="defaultSize">1000</param>
                <param key="lowSize">950</param>
                <param key="upperSize">1030</param>
                <param key="highSize">1050</param>
                <param key="swapReserve">200</param>
                <param key="minBuffer">600</param>
                <param key="maxBuffer">1000</param>
                <param key="appStartDelay">1</param>
                <param key="reclaimDelay">2</param>
                <param key="reclaimFailWindow">5</param>
                <param key="reclaimFailCount">2</param>
                <param key="raiseBufferTimeWidth">10</param>
                <param key="raiseBufferMax">1000</param>
                <param key="raiseBufferStep">10</param>
            </module>
            <module name="frontRatio">
                <param key="reclaimRatio">0</param>
                <param key="swapRatio">0</param>
                <param key="reclaimRefault">50</param>
            </module>
            <module name="activeRatio">
                <param key="reclaimRatio">60</param>
                <param key="swapRatio">0</param>
                <param key="reclaimRefault">50</param>
            </module>
            <module name="freezeRatio">
                <param key="reclaimRatio">100</param>
                <param key="swapRatio">100</param>
                <param key="reclaimRefault">100</param>
            </module>
            <module name="ak">
                <param key="akEnable">false</param>
                <param key="akEnableDebug">false</param>
                <param key="akEnableDebugTime">false</param>
                <param key="akAppTypePrioSize">3</param>
                <param key="akAppTypePrioTime">300</param>
            </module>
            <module name="others">
                <param key="logEnable">false</param>
                <param key="scorePolicyEnable">false</param>
                <param key="dailySwapOutQuotaMax">99</param>
                <param key="zramCriticalThres">2048</param>
                <param key="zramWmRatio">30</param>
                <param key="hyperholdCacheLevel">0</param>
            </module>
        </swapInOut>
        <whiteList>
            <module name="app">
                <param key="pkg">com.huawei.camera</param>
                <param key="killThreshold">1100</param>
            </module>
            <module name="app">
                <param key="pkg">com.meitu.myxj.selfie.merge.activity.SelfieCameraActivity</param>
                <param key="killThreshold">900</param>
                <param key="activity">True</param>
            </module>
            <module name="app">
                <param key="pkg">com.tencent.mm.plugin.scanner.ui.BaseScanUI</param>
                <param key="killThreshold">800</param>
                <param key="activity">True</param>
            </module>
            <module name="app">
                <param key="pkg">com.tencent.mm.plugin.mmsight.ui.SightCaptureUI</param>
                <param key="killThreshold">800</param>
                <param key="activity">True</param>
            </module>
        </whiteList>
        <actList>
            <module name="scoreRatio">
                <param key="score">200</param>
                <param key="activeReclaimRatio">20</param>
                <param key="activeSwapRatio">0</param>
                <param key="activeReclaimRefault">100</param>
            </module>
            <module name="activeapplist">
                <param key="pkgname0">com.android.phone</param>
                <param key="pkgname1">com.huawei.android.launcher</param>
                <param key="pkgname2">com.huawei.systemserver</param>
                <param key="pkgname3">com.android.systemui</param>
                <param key="pkgname4">com.huawei.systemmanager</param>
                <param key="pkgname5">system_server</param>
                <param key="pkgname6">com.baidu.input_huawei</param>
            </module>
        </actList>
        <freezeRatio>
            <module name="ratioGroup">
                <param key="minRam">300</param>
                <param key="maxRam">500</param>
                <param key="swapRatio">80</param>
                <param key="reclaimRatio">80</param>
                <param key="reclaimRefault">100</param>
            </module>
        </freezeRatio>
        <freezeRatio>
            <module name="ratioGroup">
                <param key="minRam">500</param>
                <param key="maxRam">1000</param>
                <param key="swapRatio">70</param>
                <param key="reclaimRatio">70</param>
                <param key="reclaimRefault">100</param>
            </module>
        </freezeRatio>
        <freezeRatio>
            <module name="ratioGroup">
                <param key="minRam">1000</param>
                <param key="maxRam">2147483647</param>
                <param key="swapRatio">50</param>
                <param key="reclaimRatio">50</param>
                <param key="reclaimRefault">100</param>
            </module>
        </freezeRatio>
        <specialGroup name="specialGroup1">
            <module name="specialParam">
                <param key="frontSwapRatio">0</param>
                <param key="activeSwapRatio">0</param>
                <param key="freezeSwapRatio">20</param>
            </module>
            <module name="applist">
                <param key="pkgname0">com.tencent.mm</param>
            </module>
        </specialGroup>
        <frequentUseSwapRatioList>
            <module name="frequentUseRatio">
                <param key="frontSwapRatio">0</param>
                <param key="activeSwapRatio">0</param>
                <param key="freezeSwapRatio">20</param>
                <param key="freqUseThres">20</param>
            </module>
        </frequentUseSwapRatioList>
        <backgroundActiveSwapRatioList>
            <module name="backgroundActive">
                <param key="frontSwapRatio">0</param>
                <param key="activeSwapRatio">0</param>
                <param key="freezeSwapRatio">20</param>
                <param key="bgActiveThres">25</param>
            </module>
        </backgroundActiveSwapRatioList>
        <SwapThreshold>
            <module name="swapOutThreshold">
                <param key="singleAppThres">100</param>
                <param key="allThres">1000</param>
            </module>
        </SwapThreshold>
    </memory>
</swap>